=== debian/changelog ===
ipu6-camera-hal (0~git202310160955.cb2befc~ubuntu22.04.6) jammy; urgency=low

  * Auto build.

 -- Commercial Engineering <commercial-engineering@canonical.com>  Tue, 24 Oct 2023 05:13:05 +0000

ipu6-camera-hal (0~git202309140950.f590252-1) UNRELEASED; urgency=medium

  [ Shih-Yuan Lee (FourDollars) ]
  * debian/control: Add tildes in the end of versions to support the usage by git-build-recipe.
  * debian: Fix the plugins path of libcamhal0

  [ jimlai ]
  * Port sensor files from IPU6EP to IPU6EPMTL
  * Update port number for MTL

  [ You-Sheng Yang ]
  * cmake: correct CAMERA_DEFAULT_CFG_PATH

  [ Shih-Yuan Lee (FourDollars) ]
  * debian: Drop 0004-cmake-correct-CAMERA_DEFAULT_CFG_PATH.patch.

 -- Shih-Yuan Lee (FourDollars) <sylee@canonical.com>  Thu, 14 Sep 2023 18:01:31 +0800

ipu6-camera-hal (0~git202309010954.7964af4-1) UNRELEASED; urgency=medium

  [ Shih-Yuan Lee ]
  * Use a matrix for build tests.
  * Set 10 minutes timeout for build tests and avoid the ubuntu:20.04 halt
    issue on GitHub Actions.

  [ Kai-Chuan Hsieh ]
  * Support hm2170 sensor on port 2

  [ You-Sheng Yang ]
  * Conform to Debian packging policy
    - dfsg: cmake: specify library version
    - dfsg: cmake: link to corresponding libs
    - dfsg: cmake: drop the use of CMAKE_INSTALL_SUB_PATH
    - dfsg: cmake: turn hal adapter into libcamhal entrypoint
    - dfsg: build: drop redundant lib files manipulation
    - dfsg: ci: fix test cases
    - dfsg: cmake: correct plugin path
    - dfsg: hal: lower library name printing loudness

  [ You-Sheng Yang ]
  * debian: refresh patches
  * debian: update packaging files

 -- You-Sheng Yang <vicamo.yang@canonical.com>  Fri, 01 Sep 2023 18:12:49 +0800

ipu6-camera-hal (0~git202308100916.249d07e-1) UNRELEASED; urgency=medium

  * Intel 20230802_1500_mtl_plat release.

  [ You-Sheng Yang ]

  * debian: refresh patches
  * debian: update packaging files

 -- You-Sheng Yang <vicamo.yang@canonical.com>  Mon, 21 Aug 2023 22:35:27 +0800
