=== debian/control ===
Source: ipu6-camera-hal
Section: libs
Priority: optional
Build-Depends:
 debhelper-compat (= 12),
 cmake,
 libexpat-dev,
 libipu6-dev (>= 0~git202309010954.376fccf~),
 libipu6ep-dev (>= 0~git202309010954.376fccf~),
 libipu6epmtl-dev (>= 0~git202309010954.376fccf~),
 pkg-config,
 dh-modaliases,
Standards-Version: 4.5.0
Maintainer: Commercial Engineering <commercial-engineering@canonical.com>
Vcs-Browser: https://github.com/intel/ipu6-camera-hal
Vcs-Git: https://github.com/intel/ipu6-camera-hal.git

Package: libcamhal-common
Architecture: all
Depends:
 ${misc:Depends},
Breaks:
 libcamhal-ipu6ep-common (<= 0~git202309010954.7964af4~),
Replaces:
 libcamhal-ipu6ep-common (<= 0~git202309010954.7964af4~),
Description: HAL library for MIPI camera through Intel IPU6 - common files
 This package contains default camera settings on Intel Tiger Lake platform.

Package: libcamhal0
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 libcamhal-common (= ${source:Version}),
Breaks:
 libcamhal-ipu6ep0 (<= 0~git202309010954.7964af4~),
Replaces:
 libcamhal-ipu6ep0 (<= 0~git202309010954.7964af4~),
Recommends:
 gstreamer1.0-icamera, v4l2-relayd
XB-Modaliases: ${modaliases}
Description: HAL library for MIPI camera through Intel IPU6
 This package contains the main runtime library on Intel Tiger Lake platform.

Package: libcamhal-dev
Architecture: any
Depends:
 ${misc:Depends},
 libcamhal0 (= ${binary:Version}),
 pkg-config,
Breaks:
 libcamhal-ipu6ep-dev (<= 0~git202309010954.7964af4~),
Replaces:
 libcamhal-ipu6ep-dev (<= 0~git202309010954.7964af4~),
Description: HAL library for MIPI camera through Intel IPU6 - development kit
 This package contains development files for libcamhal0 on Intel Tiger Lake
 platform.

Package: libcamhal-ipu6ep-common
Architecture: all
Depends: libcamhal-common
Description: Transitional package for libcamhal-common
 This is a transitional package for libcamhal-common, and can be
 safely removed after the installation is complete.

Package: libcamhal-ipu6ep-dev
Architecture: any
Depends: libcamhal-dev
Description: Transitional package for libcamhal-dev
 This is a transitional package for libcamhal-dev, and can be
 safely removed after the installation is complete.

Package: libcamhal-ipu6ep0
Architecture: any
Depends: libcamhal0
Description: Tansitional package for libcamhal0
 This is a transitional package for libcamhal0, and can be
 safely removed after the installation is complete.
