=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk

configure_args = \
	-DCMAKE_BUILD_TYPE=Release \
	-DBUILD_CAMHAL_TESTS=OFF \
	-DUSE_PG_LITE_PIPE=ON \
	-DUSE_HAL_ADAPTOR=ON \
	$(empty)

targets = ipu6 ipu6ep ipu6epmtl

%:
	dh $@ --with modaliases

override_dh_auto_configure:
	for ipu_ver in $(targets); do \
	  dh_auto_configure --builddirectory=build/$${ipu_ver} -- \
	      -DIPU_VER=$${ipu_ver} $(configure_args); \
	done
	dh_auto_configure --sourcedirectory=src/hal/hal_adaptor --builddirectory=build/hal

override_dh_auto_build:
	for ipu_ver in $(targets); do \
	  dh_auto_build --builddirectory=build/$${ipu_ver}; \
	done
	dh_auto_build --builddirectory=build/hal

override_dh_auto_install:
	sed "s/@DEB_HOST_MULTIARCH@/$(DEB_HOST_MULTIARCH)/g" \
	    debian/libcamhal0.install.in > debian/libcamhal0.install
	sed "s/@DEB_HOST_MULTIARCH@/$(DEB_HOST_MULTIARCH)/g" \
	    debian/libcamhal-dev.install.in > debian/libcamhal-dev.install
	for ipu_ver in $(targets); do \
	  dh_auto_install --builddirectory=build/$${ipu_ver} --destdir=debian/tmp; \
	done
	dh_auto_install --builddirectory=build/hal --destdir=debian/tmp

override_dh_auto_clean:
	for ipu_ver in $(targets); do \
	  dh_auto_clean --builddirectory=build/$${ipu_ver}; \
	done
	dh_auto_clean --builddirectory=build/hal
	rm -rf debian/tmp
