=== debian/changelog ===
ipu6-camera-hal (0~git202312190139.46efbcb~ubuntu22.04.1) jammy; urgency=low

  * Auto build.

 -- Commercial Engineering <commercial-engineering@canonical.com>  Wed, 20 Dec 2023 08:40:30 +0000
