=== debian/changelog ===
ipu6-camera-hal (0~git202406210224.cb00bdd~ubuntu22.04.1) jammy; urgency=low

  * Auto build.

 -- Commercial Engineering <commercial-engineering@canonical.com>  Fri, 21 Jun 2024 03:15:25 +0000
