=== debian/control ===
--- 
+++ 
@@ -73,6 +73,6 @@
 Package: libcamhal-ipu6ep0
 Architecture: any
 Depends: libcamhal0
-Description: Tansitional package for libcamhal0
+Description: Transitional package for libcamhal0
  This is a transitional package for libcamhal0, and can be
  safely removed after the installation is complete.
