## ipu6-camera-hal 0~git202410220058.74ffeab~ubuntu22.04.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -84,7 +84,6 @@
 add_compile_options(-Wall -Werror
                     -fstack-protector
                     -fPIE -fPIC
-                    -D_FORTIFY_SOURCE=2
                     -DDCHECK_ALWAYS_ON
                     -Wformat -Wformat-security
                     )
@@ -151,7 +150,7 @@
                     src/image_process
                     )
 
-set(LIBCAMHAL_LD_FLAGS "-fPIE -fPIC -D_FORTIFY_SOURCE=2 -Wformat -Wformat-security -Wl,-z,relro -Wl,-z,now")
+set(LIBCAMHAL_LD_FLAGS "-fPIE -fPIC -Wformat -Wformat-security -Wl,-z,relro -Wl,-z,now")
 set(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} ${LIBCAMHAL_LD_FLAGS}")
 
 add_subdirectory(src)
@@ -365,3 +364,6 @@
     include_directories(${USR_INCLUDE_HEADER}/base-${BASEVER})
     include_directories(${LIBMOJO_INCLUDE_DIRS})
     include_directories(${LIBCAMERA_IPC_INCLUDE_DIRS})
+    include_directories(${LIBCAB_INCLUDE_DIRS})
+
+    link_directories(${CMAKE_PREFIX_PATH}
