=== debian/changelog ===
ipu6-camera-hal (0~git202410220058.74ffeab~ubuntu22.04.2) jammy; urgency=low

  * Auto build.

 -- Commercial Engineering <commercial-engineering@canonical.com>  Tue, 22 Oct 2024 04:27:27 +0000
