## ipu6-camera-hal 0~git202410220058.74ffeab~ubuntu24.04.2

=== debian/changelog ===
ipu6-camera-hal (0~git202410220058.74ffeab~ubuntu24.04.2) noble; urgency=low

  * Auto build.

 -- Commercial Engineering <commercial-engineering@canonical.com>  Tue, 22 Oct 2024 04:32:58 +0000
